# Limits HTTP headers responses

Each Alephee API request will include the following rate limit response headers:

| Header key             | Description                                                                                 | Key value type |
| ---------------------- | ------------------------------------------------------------------------------------------- | -------------- |
| x-ratelimit-limit      | Total requests that can be done in a given period, times per minute.                        | integer        |
| x-ratelimit-remaining  | Number of remaining requests to completely fill the rate limit.                             | integer        |
| x-ratelimit-reset      | The number of seconds until the limit will reset to its maximum capacity.                   | integer        |
| x-ratelimit-retryafter | The number of seconds until the user should retry, and always -1 if the action was allowed. | integer        |

These headers are present in the RESPONSE HEADERS of each HTTP API request. They are not available in the response JSON body of any API endpoint request.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/usage-limiting/limits-http-headers-responses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
